Retrieves a customer by its ID.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/customers/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/customers/{customerId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerAddresses": [
{
"customerAddressId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"isDefault": true,
"companyName": "<string>",
"additionalCompanyLine": "<string>",
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"street": "<string>",
"additionalAddressLine": "<string>",
"postalCode": "<string>",
"city": "<string>",
"countryIso": "<string>",
"state": "<string>",
"emailAddress": "<string>",
"faxNumber": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"vatId": "<string>"
}
],
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastChanged": "2023-11-07T05:31:56Z",
"customerGroup": {
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"discount": 123,
"name": "<string>",
"isDefault": true,
"isNetPrice": true
},
"languageIso": "<string>"
}Customer
Retrieves a customer by its ID.
Retrieves a customer by its ID.
GET
/
v2
/
customers
/
{customerId}
Retrieves a customer by its ID.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
Represents a unique key for identifying a customer in the JTL system.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
A customer.
Customer id
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
List of addresses of the customer
Show child attributes
Show child attributes
Id of the customer group
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Customer number
Date when the customer was created
Date when the customer was last changed
The customer group of the customer
Show child attributes
Show child attributes
The language iso code of the customer
Was this page helpful?
⌘I